# interface IDataInput

#### package openfl.utils

#### implemented by Socket, URLStream, ByteArrayData

Available on all platforms

### Variables

###

`read onlybytesAvailable:UInt`

###

`endian:Endian`

###

`objectEncoding:UInt`

### Methods

###

`get_bytesAvailable ():UInt`

###

`get_endian ():Endian`

###

`readBoolean ():Bool`

###

`readByte ():Int`

###

`readBytes (bytes:ByteArray, offset:UInt = 0, length:Int = 0):Void`

###

`readDouble ():Float`

###

`readFloat ():Float`

###

`readInt ():Int`

###

`readMultiByte (length:UInt, charSet:String):String`

###

`readShort ():Int`

###

`readUTF ():String`

###

`readUTFBytes (length:Int):String`

###

`readUnsignedByte ():Int`

###

`readUnsignedInt ():Int`

###

`readUnsignedShort ():Int`

###

`set_endian (value:Endian):Endian`